clang 10.0.0git

Public Member Functions | Static Public Member Functions | List of all members
clang::comments::HTMLEndTagComment Class Reference

A closing HTML tag. More...

`#include "clang/AST/Comment.h"`

Inheritance diagram for clang::comments::HTMLEndTagComment:
[legend]
Collaboration diagram for clang::comments::HTMLEndTagComment:
[legend]

## Public Member Functions
| HTMLEndTagComment (SourceLocation LocBegin, SourceLocation LocEnd, StringRef TagName)
child_iterator | child_begin () const
child_iterator | child_end () const
Public Member Functions inherited from clang::comments::HTMLTagComment
StringRef | getTagName () const LLVM_READONLY
SourceRange | getTagNameSourceRange () const LLVM_READONLY
bool | isMalformed () const
void | setIsMalformed ()
Public Member Functions inherited from clang::comments::InlineContentComment
void | addTrailingNewline ()
bool | hasTrailingNewline () const
Public Member Functions inherited from clang::comments::Comment
| Comment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
CommentKind | getCommentKind () const
const char * | getCommentKindName () const
void | dump () const
void | dumpColor () const
void | dump (const ASTContext &Context) const
void | dump (raw_ostream &OS, const CommandTraits *Traits, const SourceManager *SM) const
SourceRange | getSourceRange () const LLVM_READONLY
SourceLocation | getBeginLoc () const LLVM_READONLY
SourceLocation | getEndLoc () const LLVM_READONLY
SourceLocation | getLocation () const LLVM_READONLY
child_iterator | child_begin () const
child_iterator | child_end () const
unsigned | child_count () const

## Static Public Member Functions
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::HTMLTagComment
static bool | classof (const Comment *C)
Static Public Member Functions inherited from clang::comments::InlineContentComment
static bool | classof (const Comment *C)

## Additional Inherited Members
Public Types inherited from clang::comments::Comment
enum | CommentKind { NoCommentKind = 0 }
typedef Comment *const * | child_iterator
Protected Types inherited from clang::comments::Comment
enum | { NumCommentBits = 8 }
enum | { NumInlineContentCommentBits = NumCommentBits + 1 }
enum | { NumTextCommentBits = NumInlineContentCommentBits + 2 }
enum | { NumInlineCommandCommentBits }
enum | { NumHTMLTagCommentBits = NumInlineContentCommentBits + 1 }
enum | { NumHTMLStartTagCommentBits = NumHTMLTagCommentBits + 1 }
enum | { NumParagraphCommentBits = NumCommentBits + 2 }
enum | { NumBlockCommandCommentBits }
enum | { NumParamCommandCommentBits = NumBlockCommandCommentBits + 3 }
Protected Member Functions inherited from clang::comments::HTMLTagComment
| HTMLTagComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd, StringRef TagName, SourceLocation TagNameBegin, SourceLocation TagNameEnd)
Protected Member Functions inherited from clang::comments::InlineContentComment
| InlineContentComment (CommentKind K, SourceLocation LocBegin, SourceLocation LocEnd)
Protected Member Functions inherited from clang::comments::Comment
void | setSourceRange (SourceRange SR)
void | setLocation (SourceLocation L)
Protected Attributes inherited from clang::comments::HTMLTagComment
StringRef | TagName
SourceRange | TagNameRange
Protected Attributes inherited from clang::comments::Comment
SourceLocation | Loc
| Preferred location to show caret. More...
SourceRange | Range
| Source range of this AST node. More...
union {
CommentBitfields CommentBits
InlineContentCommentBitfields InlineContentCommentBits
TextCommentBitfields TextCommentBits
InlineCommandCommentBitfields InlineCommandCommentBits
HTMLTagCommentBitfields HTMLTagCommentBits
HTMLStartTagCommentBitfields HTMLStartTagCommentBits
ParagraphCommentBitfields ParagraphCommentBits
BlockCommandCommentBitfields BlockCommandCommentBits
ParamCommandCommentBitfields ParamCommandCommentBits
}; |

## Detailed Description

A closing HTML tag.

Definition at line 509 of file Comment.h.

## Constructor & Destructor Documentation

## ◆ HTMLEndTagComment()

clang::comments::HTMLEndTagComment::HTMLEndTagComment | ( | SourceLocation | LocBegin,
|  | SourceLocation | LocEnd,
|  | StringRef | TagName
| ) |  |
| inline

Definition at line 511 of file Comment.h.

## Member Function Documentation

## ◆ child_begin()

child_iterator clang::comments::HTMLEndTagComment::child_begin | ( |  | ) | const
| inline

Definition at line 525 of file Comment.h.

## ◆ child_end()

child_iterator clang::comments::HTMLEndTagComment::child_end | ( |  | ) | const
| inline

Definition at line 527 of file Comment.h.

## ◆ classof()

static bool clang::comments::HTMLEndTagComment::classof | ( | const Comment * | C | ) |
| inline static

Definition at line 521 of file Comment.h.

References clang::comments::Comment::getCommentKind().

The documentation for this class was generated from the following file:

- include/clang/AST/Comment.h